X2Go Bug report logs - #1390
x2go server openGL errors are printed in high volume at less than a millisecond time-scale to the log file

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Piotr Balwierz <balwierz@gmail.com>

Date: Sun, 26 May 2019 11:15:02 UTC

Severity: normal

Found in version 4.1.0.3-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1390; Package x2goserver. (Sun, 26 May 2019 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Balwierz <balwierz@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 26 May 2019 11:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Piotr Balwierz <balwierz@gmail.com>
To: submit@bugs.x2go.org
Subject: x2go server openGL errors are printed in high volume at less than a millisecond time-scale to the log file
Date: Sun, 26 May 2019 12:12:42 +0100
Package: x2goserver
Version: 4.1.0.3-4

Debian Buster

OpenGL error messages from gl_surface_qt.cpp (qtwebengine likely) are printed on 0.01 of a millisecond time scale (i.e. 10^5 messages per second) to a log file.
Currently my log file is 16 TB in size. This is a error log file from a single session, because https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=923 is resolved.

$ls -la ~/.xsession-x2go*
-rw------- 1 user users 17557623775232 May  2 23:40 .xsession-x2go-mamut-errors
-rw------- 1 user users          38176 Jun 18  2018 .xsession-x2go-mamut-errors.old


The content of the file is extremely boring:
[...]
[51916:52005:0422/215628.936583:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
[51916:52005:0422/215628.936597:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
[51916:52005:0422/215628.936612:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
[51916:52005:0422/215628.936627:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
[51916:52005:0422/215628.936642:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
[51916:52005:0422/215628.936656:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
[...]

(ad infinitum)

I was definitely running Rstudio desktop in x2go session, but don't know if it was generating these messages.


Expected behaviour: Too quickly appearing messages from the same process should not end up in the log file. systemd-journald if I am correct has such a feature.
I am not reporting it to qtwebengine or Rstudio right now. Will do if encouraged in your comments.



Regards,
Piotr


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1390; Package x2goserver. (Tue, 28 May 2019 21:35:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 May 2019 21:35:03 GMT) Full text and rfc822 format available.

Message #10 received at 1390@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Piotr Balwierz <balwierz@gmail.com>, 1390@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1390: x2go server openGL errors are printed in high volume at less than a millisecond time-scale to the log file
Date: Tue, 28 May 2019 23:31:45 +0200
On Tue, May 28, 2019 at 10:58 PM Piotr Balwierz <balwierz@gmail.com> wrote:
>
> Package: x2goserver
> Version: 4.1.0.3-4
>
> Debian Buster
>
> OpenGL error messages from gl_surface_qt.cpp (qtwebengine likely) are printed on 0.01 of a millisecond time scale (i.e. 10^5 messages per second) to a log file.
> Currently my log file is 16 TB in size. This is a error log file from a single session, because https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=923 is resolved.
>
> $ls -la ~/.xsession-x2go*
> -rw------- 1 user users 17557623775232 May  2 23:40 .xsession-x2go-mamut-errors
> -rw------- 1 user users          38176 Jun 18  2018 .xsession-x2go-mamut-errors.old
>
>
> The content of the file is extremely boring:
> [...]
> [51916:52005:0422/215628.936583:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
> [51916:52005:0422/215628.936597:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
> [51916:52005:0422/215628.936612:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
> [51916:52005:0422/215628.936627:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
> [51916:52005:0422/215628.936642:ERROR:gl_surface_qt.cpp(296)] eglCreatePbufferSurface failed and surfaceless context not available
> [51916:52005:0422/215628.936656:ERROR:gl_surface_qt.cpp(303)] Requested OpenGL implementation is not supported. Implementation: 0
> [...]

The .xsession-errors file contains stderr of your applications run
within the session. Your application tells you via stderr it is not
supporting the OpenGL implementation X2go offers. Bad Luck. Do these
workarounds help?:
- run <your app> 2>/dev/null from an xterm and see if that helps.
- try running you application without OpenGL support.
- try if this workaround can help you:
https://wiki.x2go.org/doku.php/wiki:development:glx-xlib-workaround?s[]=libgl

> Expected behaviour: Too quickly appearing messages from the same process should not end up in the log file. systemd-journald if I am correct has such a feature.
> I am not reporting it to qtwebengine or Rstudio right now. Will do if encouraged in your comments.

Well, it is your application producing errors at a high frequency. It
shoudl be fixed there. (BTW: It would happen in a normal X session,
too.)

Uli


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jun 25 02:13:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.